<launch>

  
  <node pkg="turtlesim" name="sim" type="turtlesim_node"/>


  <group ns="turtlesim2">
    <node pkg="turtlesim" name="sim" type="turtlesim_node"/>
  </group>

  <group ns="turtlesim3">
    <node pkg="turtlesim" name="sim" type="turtlesim_node"/>
  </group>
  
  <node pkg="turtlesim" name="mimic" type="mimic">
    <remap from="input" to="turtle1"/>
    <remap from="output" to="turtlesim2/turtle1"/>
  </node>
  
  <node pkg="turtlesim" name="mimic1" type="mimic">
    <remap from="input" to="turtle1"/>
    <remap from="output" to="turtlesim3/turtle1"/>
  </node>
  
</launch>
